#ifndef _SYS_TYPES_H
#define _SYS_TYPES_H

/* The type of a process identifier. */
typedef long int pid_t;

/* The type returned by sizeof(). */
typedef unsigned long int size_t;

/* Signed version of size_t. */
typedef long int ssize_t;

/* The type of an offset into a file. */
typedef long int off_t;

/* The type of a file's mode. */
typedef unsigned short mode_t;

/* The type of a filesystem inode. */
typedef unsigned long ino_t;

#endif